Subject: Re: bug#22163: Feature request: Add support for key release event

From: John Wiegley <[email-masked]>
Date: Mon, 14 Dec 2015 14:17:06 -0800

>>>>> Simon Friis Vindum <[email-masked]> writes:

> It should be possible to bind functions to the _release_ of a key.

Those who understand the fundamentals of event handling would know better, but
doing this right could be a rather invasive change. For example: Should
`read-event' return once a key is pressed down; or should it wait until the
key has been released, and then also give both the press-down and release
times? At the moment, it just notifies the user of the key?

Because once you have sensitive to "length of press", I imagine that's just
the start of additional information you'd want about events and how they
relate in time to each other...

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2